Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.10
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.jmx.builder
[Groovy] Class JmxServerConnectorFactory

    java.lang.Object
      groovy.util.AbstractFactory
          groovy.jmx.builder.JmxServerConnectorFactory

    class JmxServerConnectorFactory
    extends AbstractFactory

This is the server connector factory used for node JmxBuilder.connectorServer(). A call to this node returns an instance of JMXConnectorServer interface (rmi default).

Possible syntax

        JmxBuilder.connectorServer(
            protocol:"rmi",
            host:"...",
            port:1099,
            url:"...",
            properties:[
                "authenticate":true|false,
                "passwordFile":"...",
                "accessFile":"...",
                "sslEnabled" : true | false
             ...
            ]
         )

Authors:
  Vladimir Vivien

See Also:

Method Summary
`boolean` | `isLeaf()`
`Object` | `newInstance(FactoryBuilderSupport builder, Object nodeName, Object nodeArgs, Map nodeAttribs)`
`boolean` | `onHandleNodeAttributes(FactoryBuilderSupport builder, Object node, Map nodeAttribs)`
`void` | `onNodeCompleted(FactoryBuilderSupport builder, Object parentNode, Object thisNode)`

Methods inherited from class AbstractFactory
isHandlesNodeChildren, isLeaf, onFactoryRegistration, onHandleNodeAttributes, onNodeChildren, onNodeCompleted, setChild, setParent

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Method Detail

### isLeaf

    boolean isLeaf()

### newInstance

    Object newInstance(FactoryBuilderSupport builder, Object nodeName, Object nodeArgs, Map nodeAttribs)

### onHandleNodeAttributes

    boolean onHandleNodeAttributes(FactoryBuilderSupport builder, Object node, Map nodeAttribs)

### onNodeCompleted

    void onNodeCompleted(FactoryBuilderSupport builder, Object parentNode, Object thisNode)

Copyright © 2003-2010 The Codehaus. All rights reserved.